My friend's trying to download the beta, and keeps getting this error. Can someone help asap?